#!/bin/sh

SWNAME=mpeg_encode-1.5c
ARCH=i386
PVER=P1
MANDIR=/usr/share/man
DOCDIR=/usr/share/doc

rm -rf $SWNAME
tar zxf ${SWNAME}.tgz
cd $SWNAME
patch -p1 <<EOF
--- mpeg_encode-1.5c/convert/jmovie2jpeg.c._orig_	1995-01-20 09:29:24.000000000 +0900
+++ mpeg_encode-1.5c/convert/jmovie2jpeg.c	2004-05-25 17:48:27.000000000 +0900
@@ -283,12 +283,12 @@
     if (fread (&(image_offset),sizeof(int),1,inFile) != 1)
     {
 	perror("Error in reading image offset");
-	exit();
+	exit(1);
     }
     if (fread (&(audio_tracks),sizeof(int),1,inFile) != 1)
     {
 	perror("Error in reading audio tracks");
-	exit();
+	exit(1);
     }
     if (audio_tracks != 1) 
       { 
--- mpeg_encode-1.5c/convert/Makefile._orig_	1995-05-02 08:08:28.000000000 +0900
+++ mpeg_encode-1.5c/convert/Makefile	2004-05-25 17:52:12.000000000 +0900
@@ -24,7 +24,7 @@
 #CC = cc
 
 # compiler flags
-CFLAGS = -O -g -Wall -W -Wreturn-type -Wunused -Wmissing-prototypes \$(PROFLAG)
+CFLAGS = -O -Wall -W -Wreturn-type -Wunused -Wmissing-prototypes \$(PROFLAG)
 
 # if you have an ANSI C Compiler, use the following line, otherwise
 # uncomment the longer .c.o rule, also
--- mpeg_encode-1.5c/convert/eyuvtoppm.c~	1995-04-15 06:16:52.000000000 +0900
+++ mpeg_encode-1.5c/convert/eyuvtoppm.c	2004-05-25 18:07:11.000000000 +0900
@@ -24,6 +24,7 @@
  *==============*/
 #include <stdio.h>
 #include <stdlib.h>
+#include <string.h>
 #include <malloc.h>
 
 typedef unsigned char uint8;
--- mpeg_encode-1.5c/convert/eyuvtojpeg.c~	1995-04-15 06:16:52.000000000 +0900
+++ mpeg_encode-1.5c/convert/eyuvtojpeg.c	2004-05-25 18:07:31.000000000 +0900
@@ -24,6 +24,7 @@
  *==============*/
 #include <stdio.h>
 #include <stdlib.h>
+#include <string.h>
 #include <malloc.h>
 
 typedef unsigned char uint8;
EOF

CFLAGS="-O2" ./configure --prefix=/usr --mandir=${MANDIR}
make
cd convert
make
cd ..

rm -rf ../pkg
mkdir -p ../pkg/usr/bin
mkdir -p ../pkg${MANDIR}
mkdir -p ../pkg${DOCDIR}/${SWNAME}/doc
mkdir -p ../pkg${DOCDIR}/${SWNAME}/convert
make install prefix=`pwd`/../pkg/usr mandir=`pwd`/../pkg${MANDIR}
cd convert
cp -p eyuvtojpeg eyuvtoppm jmovie2jpeg mpeg_demux ppmtoeyuv ../../pkg/usr/bin/.
cp -p COPYRIGHT README ../../pkg${DOCDIR}/${SWNAME}/convert
cd ..

cp -p ../PlamoBuild.sh A* B* C* I* N* R* T* ../pkg${DOCDIR}/${SWNAME}/.
cd doc
cp -p EXTENSIONS INPUT.FORMAT parallel.param param-summary template.param users-guide.ps ../../pkg${DOCDIR}/${SWNAME}/doc/.
cd ..
cp -dpR test ../pkg${DOCDIR}/${SWNAME}/.
rm ../pkg${DOCDIR}/${SWNAME}/test/Makefile*
cp -dpR examples ../pkg${DOCDIR}/${SWNAME}/.
rm ../pkg${DOCDIR}/${SWNAME}/examples/Makefile*
gzip ../pkg${MANDIR}/man1/*.1
chown -R root:root ../pkg${DOCDIR}/${SWNAME}

cd ../pkg
/sbin/makepkg ${SWNAME}-${ARCH}-${PVER}.tgz <<EOF
y
y
EOF
